package com.qmth.jkserver.params.callApi.fileUpload;

import com.qmth.jkserver.annotation.DBVerify;

import java.io.File;

/**
 * @Description: 云阅卷文件上传接口-试卷结构,文件上传参数
 * @Author: CaoZixuan
 * @Date: 2021-05-19
 */
public class PaperFileParams {
    @DBVerify(value = "考试id",required = true)
    private int examId;

    @DBVerify(value = "科目代码",required = true)
    private String subjectCode;

    @DBVerify(value = "pdf/json",required = true)
    private String format;

    @DBVerify(value = "题干",required = true)
    private File file;

    @DBVerify(value = "摘要验证")
    private String md5;

    public int getExamId() {
        return examId;
    }

    public void setExamId(int examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
    }

    public String getMd5() {
        return md5;
    }

    public void setMd5(String md5) {
        this.md5 = md5;
    }
}
